"""Helpers to update sources, run a build, and publish a build."""

from linaro_chromiumos import utils

class BuildParams:
    """Parameters used to run a build."""

    def __init__(self, machine):
        self.machine = machine

    def do_build(self):
        utils.remote_run(self.machine, ["true", "remote-build-command",])
        # XXX not implemented

    def fetch_sources(self):
        utils.remote_run(self.machine, ["true", "remote-fetch-command",])
        # XXX not implemented

    def publish_build(self):
        utils.remote_run(self.machine, ["true", "remote-publish-command",])
        # XXX not implemented

